//
//  XYRTCEngine+RemoteControl.h
//  API
//
//  Created by 高超 on 2021/3/9.
//

#import "XYRTCEngine.h"

NS_ASSUME_NONNULL_BEGIN

@interface XYRTCEngine (RemoteControl)

/// FECC
/// @param operation 动作
/// @param participantId 远端participantId
/// @param callUri 远端标识
- (void)farEndHardwareControlOperation:(XYFECCCommand)operation participantId:(NSString *)participantId callUri:(NSString *)callUri;

/// DTMF
/// @param remoteUri 远端uri，从<XYStreamInfo>回调中获得
/// @param content 内容
- (void)dialDtmfWithRemoteUri:(NSString *)remoteUri content:(NSString *)content;


@end

NS_ASSUME_NONNULL_END
