//
//  XYRTCEngine.h
//  xylink_app
//
//  Created by yangxudong on 2020/9/10.
//  Copyright © 2020 ainemo. All rights reserved.
//

#import <Foundation/Foundation.h>
#if TARGET_OS_IPHONE
#import <UIKit/UIKit.h>
#import <ReplayKit/ReplayKit.h>
#endif
#import "XYRTCEngineDelegate.h"

#define XYRTCSDK_VERSION @"3.3.4"

NS_ASSUME_NONNULL_BEGIN

@interface XYRTCEngine : NSObject
/// 代理
@property (nonatomic, weak) id <XYRTCEngineDelegate> delegate;

/// 单例
+ (instancetype)sharedEngine;

/// 创建并初始化 XYRTCEngine 环境
/// @param settings 设置参数
- (void)create:(XYRTCSettings *)settings;

/// SDK版本号
- (NSString *)getVersion;

@end


NS_ASSUME_NONNULL_END

