//
//  XYSDKManager.h
//  XYRTCEngineSimpleDemo
//
//  Created by 高超 on 2021/11/5.
//

#import <Foundation/Foundation.h>
#import "XYMeetingViewController.h"

NS_ASSUME_NONNULL_BEGIN

@interface XYSDKManager : NSObject

@property (nonatomic, strong, nullable) XYUser *user;

@property (nonatomic, strong, nullable) XYMeetingViewController *meetingVC;

+ (XYSDKManager *)share;
//初始化
- (void)createSDK:(NSString *)enterpriseId
         clientID:(NSString *)clientID
     ClientSecret:(NSString *)ClientSecret
    serverAddress:(NSString *)serverAddress;
//小鱼账号登录
- (void)xylinkLogin:(NSString *)account password:(NSString *)password;
//第三方账号登录
- (void)login:(NSString *)account userName:(NSString *)userName enterpriseID:(NSString *)enterpriseID;
//加入会议
- (void)joinMeeting:(NSString *)number password:(NSString *)password;
//登录
- (void)logout;

@end

NS_ASSUME_NONNULL_END
