//
//  XYRTCEngine+Feedback.h
//  XYRTCEngine
//
//  Created by 高超 on 2022/4/13.
//

#import "XYRTCEngine.h"

NS_ASSUME_NONNULL_BEGIN

@interface XYRTCEngine (Feedback)

/// 上传日志
/// @param comments 问题描述
/// @param images 图片
/// @param completion 回调
- (void)sendFeedbackLogWithComments:(NSString *)comments
                             images:(nullable NSArray <UIImage *> *)images
                         completion:(void(^)(BOOL success))completion;

@end

NS_ASSUME_NONNULL_END
