//
//  XYRTCEngine+Statistics.h
//  API
//
//  Created by 高超 on 2021/3/9.
//

#import "XYRTCEngine.h"

NS_ASSUME_NONNULL_BEGIN

@interface XYRTCEngine (Statistics)

/// 统计信息
- (NSString *)getGeneralStatistics;

/// DBA信息
- (NSString *)getDBStatistics;

/// layout信息
- (NSString *)getLayoutStatistics;

/// 视频发送信息
- (NSString *)getVideoTxStatistics;

/// 视频接收信息
- (NSString *)getVideoRxStatistics;

/// 音频发送信息
- (NSString *)getAudioTxStatistics;

/// 音频接收信息
- (NSString *)getAudioRxStatistics;

/// 其他信息
- (NSString *)getOtherStatistics;

@end

NS_ASSUME_NONNULL_END
