//
//  XYTableViewModel.h
//  xylink_app
//
//  Created by chengronggang on 2021/1/21.
//  Copyright © 2021 ainemo. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "XYTableViewSectionModel.h"

/**
 *  XYTableViewModel implements some methods in UITableViewDelegate & UITableViewDataSource.
 *  it can be used as the delegate & dataSource of a tableView.
 *  For those methods it doesn't implement, you can implement them in its subclass.
 */
@interface XYTableViewModel : NSObject <UITableViewDelegate, UITableViewDataSource>
/** table view's section model array */
@property (nonatomic, strong) NSMutableArray<XYTableViewSectionModel *> *sectionModelArray;

@end
